Results 1 to 5 of 5

Thread: Qt-4.4.0 installation error in linux

  1. #1
    Join Date
    Nov 2007
    Posts
    291
    Thanks
    85
    Thanked 1 Time in 1 Post

    Default Qt-4.4.0 installation error in linux

    hi
    i got error while compiling Qt-4.4.0.
    my version of linux is

    [babu@localhost ~]$ uname -a
    Linux localhost.localdomain 2.6.9-22.ELsmp #1 SMP Mon Sep 19 18:32:14 EDT 2005 i686 i686 i386 GNU/Linux



    the error was

    ../../sqlite/sqlite3.c:96100: error: invalid type argument of `unary *'
    ../../sqlite/sqlite3.c:96100: error: dereferencing pointer to incomplete type
    ../../sqlite/sqlite3.c:96101: error: invalid type argument of `unary *'
    ../../sqlite/sqlite3.c:96101: error: dereferencing pointer to incomplete type
    ../../sqlite/sqlite3.c:96127:2: #endif without #if
    ../../sqlite/sqlite3.c:96128:2: #endif without #if
    ../../sqlite/sqlite3.c:96125: confused by earlier errors, bailing out
    make[1]: *** [.obj/release-shared/sqlite3.o] Error 1
    make[1]: Leaving directory `/home/babu/tools/build/qt-x11-opensource-src-4.4.0/src/3rdparty/webkit/WebCore'
    make: *** [sub-webkit-make_default-ordered] Error 2



    and the compiler version is

    [babu@localhost ~]$ gcc -v
    Reading specs from /usr/lib/gcc/i386-redhat-linux/3.4.4/specs
    Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --enable-threads=posix --disable-checking --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-java-awt=gtk --host=i386-redhat-linux
    Thread model: posix
    gcc version 3.4.4 20050721 (Red Hat 3.4.4-2)

  2. #2
    Join Date
    Jan 2006
    Location
    Warsaw, Poland
    Posts
    33,364
    Thanks
    3
    Thanked 5,014 Times in 4,792 Posts
    Qt products
    Qt3 Qt4 Qt5 Qt/Embedded
    Platforms
    Unix/X11 Windows Android Maemo/MeeGo
    Wiki edits
    10

    Default Re: Qt-4.4.0 installation error in linux

    What did you pass to configure?

  3. #3
    Join Date
    Nov 2007
    Posts
    291
    Thanks
    85
    Thanked 1 Time in 1 Post

    Default Re: Qt-4.4.0 installation error in linux

    nothing


    some of the testing messages displayed while configuration is
    [babu@localhost qt-x11-opensource-src-4.4.0]$ ./configure
    .......
    ..........

    Debug ............... no
    Qt 3 compatibility .. yes
    QtDBus module ....... no
    QtXmlPatterns module yes
    Phonon module ....... no
    SVG module .......... yes
    WebKit module ....... yes
    STL support ......... yes
    PCH support ......... yes
    MMX/3DNOW/SSE/SSE2.. yes/no/yes/yes
    IPv6 support ........ yes
    IPv6 ifname support . yes
    getaddrinfo support . yes
    getifaddrs support .. yes
    Accessibility ....... yes
    NIS support ......... yes
    CUPS support ........ yes
    Iconv support ....... yes
    Glib support ........ yes
    GStreamer support ... no
    Large File support .. yes
    GIF support ......... plugin
    TIFF support ........ plugin (system)
    JPEG support ........ plugin (system)
    PNG support ......... yes (system)
    MNG support ......... plugin (qt)
    zlib support ........ system
    OpenGL support ...... yes
    NAS sound support ... no
    Session management .. yes
    XShape support ...... yes
    Xinerama support .... runtime
    Xcursor support ..... runtime
    Xfixes support ...... runtime
    Xrandr support ...... yes
    Xrender support ..... yes
    FontConfig support .. yes
    XKB Support ......... yes
    immodule support .... yes
    MySQL support ....... plugin
    SQLite support ...... plugin (qt)
    OpenSSL support ..... yes (run-time)

    .......
    ..........
    Last edited by babu198649; 19th May 2008 at 08:05.

  4. #4
    Join Date
    Jan 2006
    Location
    Warsaw, Poland
    Posts
    33,364
    Thanks
    3
    Thanked 5,014 Times in 4,792 Posts
    Qt products
    Qt3 Qt4 Qt5 Qt/Embedded
    Platforms
    Unix/X11 Windows Android Maemo/MeeGo
    Wiki edits
    10

    Default Re: Qt-4.4.0 installation error in linux

    If you don't need WebKit, disable it from being built by passing an appropriate option to configure (see configure -help for more info). You probably lack some of its dependencies.

  5. #5
    Join Date
    May 2008
    Location
    Kyiv, Ukraine
    Posts
    418
    Thanks
    1
    Thanked 29 Times in 27 Posts
    Qt products
    Qt4
    Platforms
    Unix/X11

    Default Re: Qt-4.4.0 installation error in linux

    Quote Originally Posted by babu198649 View Post
    hi
    i got error while compiling Qt-4.4.0.
    my version of linux is

    [babu@localhost ~]$ uname -a
    Linux localhost.localdomain 2.6.9-22.ELsmp #1 SMP Mon Sep 19 18:32:14 EDT 2005 i686 i686 i386 GNU/Linux



    the error was

    ../../sqlite/sqlite3.c:96100: error: invalid type argument of `unary *'
    ../../sqlite/sqlite3.c:96100: error: dereferencing pointer to incomplete type
    ../../sqlite/sqlite3.c:96101: error: invalid type argument of `unary *'
    ../../sqlite/sqlite3.c:96101: error: dereferencing pointer to incomplete type
    ../../sqlite/sqlite3.c:96127:2: #endif without #if
    ../../sqlite/sqlite3.c:96128:2: #endif without #if
    ../../sqlite/sqlite3.c:96125: confused by earlier errors, bailing out
    make[1]: *** [.obj/release-shared/sqlite3.o] Error 1
    make[1]: Leaving directory `/home/babu/tools/build/qt-x11-opensource-src-4.4.0/src/3rdparty/webkit/WebCore'
    make: *** [sub-webkit-make_default-ordered] Error 2



    and the compiler version is

    [babu@localhost ~]$ gcc -v
    Reading specs from /usr/lib/gcc/i386-redhat-linux/3.4.4/specs
    Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --enable-threads=posix --disable-checking --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-java-awt=gtk --host=i386-redhat-linux
    Thread model: posix
    gcc version 3.4.4 20050721 (Red Hat 3.4.4-2)
    Do you have sqlite installed on your system?
    You can try to disable sqlite support during "configure" and later (if you need it) compile qt's sqlite plugin.

Similar Threads

  1. installation of qt4.2: linux
    By Jim Peterson in forum Installation and Deployment
    Replies: 7
    Last Post: 2nd March 2007, 18:03

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Digia, Qt and their respective logos are trademarks of Digia Plc in Finland and/or other countries worldwide.